Archive patient profile
curl --request DELETE \
--url https://api.eka.care/profiles/v1/patient/{oid} \
--header 'Authorization: Bearer <token>' \
--header 'client-id: <client-id>'import requests
url = "https://api.eka.care/profiles/v1/patient/{oid}"
headers = {
"client-id": "<client-id>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'client-id': '<client-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.eka.care/profiles/v1/patient/{oid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Profile archived successfully"
}{
"message": "Not found",
"code": "profile_not_found"
}Patient Directory APIs
Archive patient profile
Note: The patient profile is not deleted permanently — it is only archived.
Archived profiles can still be retrieved using the arc=true query parameter in the retrieve API.
DELETE
/
profiles
/
v1
/
patient
/
{oid}
Archive patient profile
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Example:
"EC_1431"
Path Parameters
Example:
18661861868168
Query Parameters
Example:
true
Response
Patient profile archived successfully
Example:
"Profile archived successfully"
Was this page helpful?
⌘I

